%if 0%{?suse_version}
%define daemon_group www
%else
%define daemon_group apache
%endif

Summary: An op5 Monitor plugin to keeping track of the number of unsed switch ports
Name: monitor-plugin-check_portstatus
Version: %{op5version}
Release: %{op5release}%{?dist}
License: GPLv2+
Group: op5/system-addons
URL: http://www.op5.com/support
Source0: %name-%version.tar.gz
Prefix: /opt/plugins
BuildRoot: %{_tmppath}/%{name}-%{version}
BuildArch: noarch
Requires: perl
Requires: perl(Nagios::Plugin)
Requires: perl(Net::SNMP)

%if 0%{?suse_version}
Requires: php53
%else
Requires: php-cli
%endif

%description
This plugin is keeping track, over snmp, of the number of unsed
switch ports. You will also get an report page where you can
see various things about the ports in the monitored switch.

%prep
%setup -q

%build

%install
mkdir -p %buildroot/opt/plugins
mkdir -p %buildroot/var/spool/check_portstatus
mkdir -p %buildroot/opt/monitor/op5/portstatus

cp portstatus.php %buildroot/opt/monitor/op5/portstatus/portstatus.php
cp check_portstatus.pl %buildroot/opt/plugins/check_portstatus.pl

pushd %buildroot%prefix
	ln -s check_portstatus.pl check_portstatus
popd
%clean
rm -rf %buildroot

%files
%defattr(-,root,root,-)
%attr(755, root,root) /opt/plugins/check_portstatus.pl
%attr(755, root,root) /opt/plugins/check_portstatus
%attr(755, root, root) /opt/monitor/op5/portstatus
%attr(644, root, root) /opt/monitor/op5/portstatus/portstatus.php
%attr(755, monitor, %daemon_group) /var/spool/check_portstatus

%changelog
* Tue May 30 2013 Martin Kamijo <mk@op5.com>
Inital commit of the plugins
